#
# spec file for package pspell (Version 12.2)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf dialog ed gpp ispell libgpp tetex texinfo words xf86 yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs dialog diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip ispell kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim words xdevel xf86 xshared yacc

Name:         pspell
%define prefix %{_prefix}
Copyright:    GPL
Group:        Applications/Text
Provides:     pspell
Requires:     ispell ispell_dictionary
Autoreqprov:  on
Version:      12.2
Release:      270
Summary:      An interface for spellcheckers
Source:       pspell-.%{version}.tar.bz2		
Patch0:       pspell-.%{version}-manual.patch		
Patch1:       pspell-.%{version}-stdc++.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Pspell is an interface between applications (mailer, wordprocessing and
others) and spellcheckers (currently ispell and aspell).

Authors:
--------
    Kevin Atkinson <kevina@users.sourceforge.net>

SuSE series: ap

%prep
%setup -n pspell-.%{version}
%patch0
%patch1

%build
%{?suse_update_config:%{suse_update_config -f }}
for i in modules libltdl .
do
   (cd $i
   libtoolize --force
   aclocal
   automake
   autoconf)
done
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#
# fixes through new libtool
#
pushd $RPM_BUILD_ROOT/usr/lib/
for i in *.la ; do
  mv $i $i.orig
  sed -e "s: -L/usr/src[^ ]*: -L/usr/lib:g" $i.orig >$i
  rm $i.orig
done 
popd 
#
# documentaion
#
cp -r $RPM_BUILD_ROOT%{prefix}/doc/pspell ./doc
rm -rf doc/man-text/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/*
%{prefix}/lib/libpspell*.so.*
%{prefix}/share/pspell
%package devel
Summary:      The developerfiles for pspell
Group:        Development
Autoreqprov:  on

%description devel
The developerfiles for pspell

SuSE series: ap


%files devel
%defattr(-,root,root)
%{prefix}/bin/pspell-config
%{prefix}/lib/libpspell*.so
%{prefix}/lib/libpspell*.*a
%{prefix}/include/pspell

%changelog -n pspell
* Mon Jun 03 2002 - pmladek@suse.cz
- fixed dependency on libstdc++ [#16425]
* Tue Sep 25 2001 - ro@suse.de
- fixed another typo in spec-file (setup line)
* Tue Sep 25 2001 - grimmer@suse.de
- fixed version number in spec file (.12.2 -> 12.2)
* Fri Aug 17 2001 - pmladek@suse.cz
- updated to version 12.2
- used BuildRoot again
- fixed dependency_libs in lib*.la
- fixed documentation
* Fri Jun 08 2001 - cihlar@suse.cz
- fixed problems with new autoconf
- call autoconf also in subdirs
- don't use BuildRoot again
* Wed May 30 2001 - cihlar@suse.cz
- updated to version 12.1
- use again BuildRoot
- fixed %%files
- bzipped sources
* Mon Mar 05 2001 - schwab@suse.de
- Match $host_os against "linux*" instead of "linux-gnu*".
- Don't use BuildRoot, it breaks libtool install.
* Tue Feb 20 2001 - egger@suse.de
- Added proper BuildRooting.
- Cleaned up specfile.
- Updated to version .12.
- Use RPM_OPT_FLAGS for build.
* Mon Feb 19 2001 - schwab@suse.de
- Move libpspell*.so to devel package.
* Fri Feb 09 2001 - sf@suse.de
- added ltconfig.dif to be compliant to older configure scripts
* Mon Nov 06 2000 - ro@suse.de
- renamed subpackage pspelld to pspell-devel
* Mon Sep 18 2000 - egger@suse.de
- Inital SuSE packages.
- Tested on i386.
